> For the complete documentation index, see [llms.txt](https://docs.ciondigital.com/en/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ciondigital.com/en/industry-solution/exchanges/json-rpc-methods/confirming-the-funds-transfer.md).

# Confirming the Funds Transfer

Once the user enters the OTP, the Cion Digital platform calls the "Confirming the Funds Transfer" method.

params object:

| **Key** | **Definition/meaning**           |
| ------- | -------------------------------- |
| otp1    | OTP corresponding to fieldLabel1 |
| otp2    | OTP corresponding to fieldLabel2 |

Example params object:

```
{
    "otp1": "123456",
    "otp2": "987654"
}
```

Response if OTP is correct:

| **Key**       | **Definition/meaning**                                                                     |
| ------------- | ------------------------------------------------------------------------------------------ |
| otp\_verified | true                                                                                       |
| message       | Message to be shown to the user                                                            |
| address       | Address to which funds will be sent (in case of collateral withdraw and loan disbursement) |

Example response result object in case of success:

```
{
    "otp_verified": true,
    "message": "Your collateral deposit request will be processed soon.",
    "address": "0x5Bd7897dFe0ED054E6a18d2bBa4e655BBC5B4B56"
}
```

Response result object if OTP is not correct:

| **Key**       | **Definition/meaning**                                  |
| ------------- | ------------------------------------------------------- |
| otp\_verified | false                                                   |
| message       | Message to be shown to the user                         |
| retry         | false, if user has exceed maximum retry limit else true |

Example result object in case of failure:

```
{
    "otp_verified": false,
    "message": "Incorrect OTP, please try again.",
    "retry": true
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ciondigital.com/en/industry-solution/exchanges/json-rpc-methods/confirming-the-funds-transfer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
